Name:               bugwarrior
Version:            1.5.1
Release:            6%{?dist}
Summary:            Sync github, bitbucket, and trac issues with taskwarrior

Group:              Development/Libraries
License:            GPLv3+
URL:                https://pypi.io/project/bugwarrior
Source0:            https://pypi.io/packages/source/b/%{name}/%{name}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires:      python3-devel
BuildRequires:      python3-setuptools

BuildRequires:      python3-twiggy
BuildRequires:      python3-bitlyapi
BuildRequires:      python3-requests
BuildRequires:      python3-bugzilla
BuildRequires:      python3-offtrac
BuildRequires:      python3-taskw
BuildRequires:      python3-dogpile-cache
BuildRequires:      python3-keyring
BuildRequires:      python3-click
BuildRequires:      python3-dateutil
BuildRequires:      python3-six
BuildRequires:      python3-jinja2
BuildRequires:      python3-pycurl
BuildRequires:      python3-lockfile
BuildRequires:      python3-pytz
BuildRequires:      python3-pyxdg

Requires:           python3-setuptools
Requires:           python3-twiggy
Requires:           python3-bitlyapi
Requires:           python3-requests
Requires:           python3-bugzilla
Requires:           python3-offtrac
Requires:           python3-taskw
Requires:           python3-dogpile-cache
Requires:           python3-keyring
Requires:           python3-click
Requires:           python3-dateutil
Requires:           python3-six
Requires:           python3-jinja2
Requires:           python3-pycurl
Requires:           python3-lockfile
Requires:           python3-pytz
Requires:           python3-pyxdg
Requires:           python3-future
Requires:           python3-configparser

# See https://bugzilla.redhat.com/show_bug.cgi?id=1036078
# and https://github.com/ralphbean/bugwarrior/issues/210#issuecomment-75995671
#BuildRequires:      python-jira
#Requires:           python-jira

%description
bugwarrior is a command line utility for updating your local taskwarrior
database from your forge issue trackers.

It currently supports pulling issues from github, bitbucket, trac, bugzilla,
megaplan, teamlab, redmine, and activecollab

%prep
%autosetup -n %{name}-%{version}
sed -i '/future/d' setup.py

%build
%py3_build

%install
%py3_install

%files
%license LICENSE.txt
%doc bugwarrior/README.rst bugwarrior/docs
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}*
%{_bindir}/bugwarrior-pull
%{_bindir}/bugwarrior-vault
%{_bindir}/bugwarrior-uda

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 19 2018 Jan Beran <jberan@redhat.com> - 1.5.1-5
- Python 3 build

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 19 2017 Ralph Bean <rbean@redhat.com> - 1.5.1-3
- Pull in the configparser lib at runtime.

* Mon Jun 12 2017 Ralph Bean <rbean@redhat.com> - 1.5.1-2
- Pull in the future lib at runtime.

* Fri May 26 2017 Ralph Bean <rbean@redhat.com> - 1.5.1-1
- new version

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sat Mar 12 2016 Ralph Bean <rbean@redhat.com> - 1.4.0-1
- new version

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 30 2015 Ralph Bean <rbean@redhat.com> - 1.3.0-1
- new version

* Sun Oct 11 2015 Ralph Bean <rbean@redhat.com> - 1.2.0-2
- Require pyxdg for rhbz#1270591.

* Thu Sep 10 2015 Ralph Bean <rbean@redhat.com> - 1.2.0-1
- new version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 25 2015 Ralph Bean <rbean@redhat.com> - 1.1.3-1
- new version

* Tue Feb 17 2015 Ralph Bean <rbean@redhat.com> - 1.1.1-1
- new version

* Tue Feb 17 2015 Ralph Bean <rbean@redhat.com> - 1.1.0-1
- new version
- new bugwarrior-uda command

* Tue Sep 23 2014 Ralph Bean <rbean@redhat.com> - 1.0.2-1
- Latest upstream with typofix to egg requirements.

* Mon Sep 22 2014 Ralph Bean <rbean@redhat.com> - 1.0.1-2
- Add deps that should have been included in the last release.

* Mon Sep 22 2014 Ralph Bean <rbean@redhat.com> - 1.0.1-1
- Bugfix release.

* Fri Sep 19 2014 Ralph Bean <rbean@redhat.com> - 1.0.0-1
- Latest upstream.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 10 2014 Ralph Bean <rbean@redhat.com> - 0.7.0-3
- Added forgotten requirement on python-offtrac

* Sat Mar 08 2014 Ralph Bean <rbean@redhat.com> - 0.7.0-2
- New requirement on python-setuptools.

* Tue Jan 21 2014 Ralph Bean <rbean@redhat.com> - 0.7.0-1
- Latest upstream
- Removed python-jira patch.
- Modernized python2 macros

* Sat Jan 18 2014 Ralph Bean <rbean@redhat.com> - 0.6.3-3
- Added dep on python-keyring.
- Annotated the comment about python-jira.

* Mon Dec 16 2013 Ralph Bean <rbean@redhat.com> - 0.6.3-2
- Patch to disable jira support since it creates a dep nightmare for f19/f18.

* Tue Nov 12 2013 Ralph Bean <rbean@redhat.com> - 0.6.3-1
- Latest upstream.
- Convert python macros to be explicitly python2.
- Remove dangling symlink.

* Thu Oct 31 2013 Ralph Bean <rbean@redhat.com> - 0.6.1-1
- initial package for Fedora
